Bug 58566 - rpm error message uses "Mb" for megabytes
rpm error message uses "Mb" for megabytes
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: rpm (Show other bugs)
7.1
All Linux
low Severity low
: ---
: ---
Assigned To: Jeff Johnson
:
Depends On: 462945 629407 629413 629416 629417
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-19 18:48 EST by Need Real Name
Modified: 2010-10-21 13:10 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-01-19 18:48:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-19 18:48:40 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.10 i686)

Description of problem:
Mb is the abbreviation for megabits.  While it is unlikely that people would be
confused it is non-standard.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.Try to install or upgrade an rpm on a full disk
2.	
3.
	

Actual Results:  % rpm -Fvh kernel-* ../i686/kernel-2.4.9-12.i686.rpm 
Preparing...                ########################################### [100%]
installing package kernel-2.4.9-12 needs 8Mb on the / filesystem


Expected Results:  % rpm -Fvh kernel-* ../i686/kernel-2.4.9-12.i686.rpm 
Preparing...                ########################################### [100%]
installing package kernel-2.4.9-12 needs 8MB on the / filesystem


Additional info:

It is standard practice for B==byte and b==bit, but there is also a standard:
 http://www.romulus2.com/articles/guides/misc/bitsbytes.shtml
Comment 1 Jeff Johnson 2002-06-05 14:54:52 EDT
Fixed in my next checkin, should be in rpm-4.1-0.23.

Note You need to log in before you can comment on or make changes to this bug.